GuideLab API

Get Clinic Finances Summary

Aggregate outstanding-balance summary for the authenticated clinic across all payable invoices (not page-limited), broken down per lab for grouped Stripe payment. Clinic-only.

GET
/clinic-finances/summary

Aggregate outstanding-balance summary for the authenticated clinic across all payable invoices (not page-limited), broken down per lab for grouped Stripe payment. Clinic-only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/clinic-finances/summary"
{  "outstandingCount": 0,  "overdueCount": 0,  "currencyTotals": [    {      "currency": "GBP",      "totalOutstanding": "string",      "overdueTotal": "string",      "outstandingCount": 0,      "overdueCount": 0    }  ],  "labs": [    {      "labId": "string",      "partnershipId": "string",      "labName": "string",      "labNameMissing": true,      "outstandingTotal": "string",      "invoiceCount": 0,      "overdueTotal": "string",      "overdueCount": 0,      "currency": "GBP",      "stripeEnabled": true,      "labStripeAccountId": "string",      "invoiceIds": [        "string"      ]    }  ]}